[Answered]Request form error messages

Answered

We published a Wrike request form. Some users are getting the following error message, some are not. Any thoughts?

 

"Can't connect securely to this page. This might be because the site uses outdated or unsafe TLS security settings. If this keeps happening, try contacting the website's owner."

Upvote 0
2 comments
Spot On Innovative Approach Stellar Advice

My team is having the same issue. Our request form is External as well, so anyone should be able to use it (even if they are not a Wrike user).  I'd be interested to know if anyone has a solve for this. 

0
Spot On Innovative Approach Stellar Advice

It looks to be browser security settings. Mine are locked and can't be changed, but here's what Wrike suggests:

 

Go to Internet Options, click on advanced tab and scroll down to security.  
Verify the following are checked:
Use SSL 3.0
Use TLS 1.0
Use TLS 1.1
Use TLS 1.2
If they are not then check them and click apply.  Close the browser and open a new, then try to open the site.

0

Folllowing List for Post: [Answered]Request form error messages
[this list is visible for admins and agents only]

Top
Didn’t find what you were looking for? Write new post